/*
 * Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: sysexits.h,v 1.8 2013/12/22 01:44:32 ca Exp $
 */

#ifndef SM_SYSEXITS_H
#define SM_SYSEXITS_H 1

#include <sysexits.h>

#ifndef EX_CONFIG

/*
**  HP UX doesn't define this...
**  XXX how to figure out which value to use?
*/

# define EX_CONFIG	78
#endif /* ! EX_CONFIG */

#ifndef EX__MAX
# define EX__MAX	80
#endif

/* XREF: exit2txt_r.c */
#define EX_RESTARTDEP	((EX__MAX) + 1)
#define EX_RESTARTALL	((EX__MAX) + 2)
#define EX_TRYLATER	((EX__MAX) + 3)	/* counted as failure to limit restarts */

#endif /* SM_SYSEXITS_H */
