#!/bin/sh
# $Id: t-version-0.sh,v 1.1 2011/11/28 16:17:52 ca Exp $
#
# Copyright (c) 2011 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

# -------------------------------------------------------
# check version
# -------------------------------------------------------

TMP=`basename $0 .sh`

for PRG in smar smtpc smtps qmgr
do
  ../$PRG/$PRG -VVV > $TMP
  fgrep "COMMERCIAL" $TMP >/dev/null || continue
  egrep -i '(alpha|beta|gamma)' $TMP && exit 1
  fgrep -i 'MeTA1' $TMP && exit 2
done
exit 0
